slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGIntervalSetEndpoints

Sets the parameters defining the interval region.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGIntervalSetEndpoints(RG rg,PetscReal a,PetscReal b,PetscReal c,PetscReal d)

Logically Collective

### Input Parameters

| rg | - the region context
| a | - left endpoint of the interval in the real axis
| b | - right endpoint of the interval in the real axis
| c | - bottom endpoint of the interval in the imaginary axis
| d | - top endpoint of the interval in the imaginary axis

### Options Database Keys

| -rg_interval_endpoints | - the four endpoints

### Note

The region is defined as [a,b]x[c,d]. Particular cases are an interval on the real axis (c=d=0), similar for the imaginary axis (a=b=0), the whole complex plane (a=-inf,b=inf,c=-inf,d=inf), and so on.

When PETSc is built with real scalars, the region must be symmetric with respect to the real axis.

### See Also

RGIntervalGetEndpoints()

### Level

advanced

### Location

src/sys/classes/rg/impls/interval/rginterval.c

### Examples

src/eps/tutorials/ex30.c
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages